Bug 19770 - Add cardnumber to holds awaiting pickup screen and add classes to borrower info
Summary: Add cardnumber to holds awaiting pickup screen and add classes to borrower info
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-07 13:14 UTC by Nick Clemens
Modified: 2019-02-01 15:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19770 - Add cardnumber to holds awaiting pickup and add classes to borrower info (4.85 KB, patch)
2017-12-07 13:31 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19770 - Add cardnumber to holds awaiting pickup and add classes to borrower info (4.91 KB, patch)
2017-12-07 14:16 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19770: Add cardnumber and CSS classed to patron info on waiting holds (2.58 KB, patch)
2019-01-14 21:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19770: Add cardnumber and CSS classed to patron info on waiting holds (2.63 KB, patch)
2019-01-18 20:55 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 19770: Add cardnumber and CSS classed to patron info on waiting holds (2.69 KB, patch)
2019-01-21 16:07 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-12-07 13:14:45 UTC
Some libraries use a combination of borrowers surname and cardnumber on hold slips, this seems to be a fairly common occurence.

To facilitate this it would be nice to have the cardnumber available on the waiting holds report.

Additionally it would be nice to have classes add to the borrower information so that they can be accessed via javascript for constructing the special code used.
Comment 1 Nick Clemens 2017-12-07 13:31:06 UTC
Created attachment 69607 [details] [review]
Bug 19770 - Add cardnumber to holds awaiting pickup and add classes to borrower info

To Test:
1 - View the holds awaiting pickup report
2 - Note there is no cardnumber
3 - Apply patch
4 - Cardnumber now shows
5 - Add to IntranetUserCSS
    .borrowercardnumber { display: none; }
6 - Cardnumber does not show
7 - Verify the same works for 'Holds over' tab
8 - Sign off
Comment 2 Claire Gravely 2017-12-07 14:16:44 UTC
Created attachment 69612 [details] [review]
Bug 19770 - Add cardnumber to holds awaiting pickup and add classes to borrower info

To Test:
1 - View the holds awaiting pickup report
2 - Note there is no cardnumber
3 - Apply patch
4 - Cardnumber now shows
5 - Add to IntranetUserCSS
    .borrowercardnumber { display: none; }
6 - Cardnumber does not show
7 - Verify the same works for 'Holds over' tab
8 - Sign off

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-01-10 13:34:07 UTC
Why did not you choose to use patron-title.inc?
Comment 4 Katrin Fischer 2018-03-12 09:23:44 UTC
I am sorry, patch doesn't apply. Can you please rebase?
Comment 5 Nick Clemens 2018-03-12 15:15:05 UTC
I think Joubu is right, this should be done using patron-title.inc and that should be adding the spans
Comment 6 Katrin Fischer 2019-01-14 21:32:59 UTC
Created attachment 83919 [details] [review]
Bug 19770: Add cardnumber and CSS classed to patron info on waiting holds

Patch makes use fo patron-string.inc for displaying the patron information
on the waiting holds report.

It also adds spans with classes for phone and email.

To Test:
1 - View the holds awaiting pickup report
2 - Note there is no cardnumber for the patron
3 - Apply patch
4 - Cardnumber shows now
5 - Verify the same works for 'Holds over' tab
Comment 7 Maryse Simard 2019-01-18 20:55:51 UTC
Created attachment 84224 [details] [review]
Bug 19770: Add cardnumber and CSS classed to patron info on waiting holds

Patch makes use fo patron-string.inc for displaying the patron information
on the waiting holds report.

It also adds spans with classes for phone and email.

To Test:
1 - View the holds awaiting pickup report
2 - Note there is no cardnumber for the patron
3 - Apply patch
4 - Cardnumber shows now
5 - Verify the same works for 'Holds over' tab

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 8 Josef Moravec 2019-01-21 16:07:09 UTC
Created attachment 84270 [details] [review]
Bug 19770: Add cardnumber and CSS classed to patron info on waiting holds

Patch makes use fo patron-string.inc for displaying the patron information
on the waiting holds report.

It also adds spans with classes for phone and email.

To Test:
1 - View the holds awaiting pickup report
2 - Note there is no cardnumber for the patron
3 - Apply patch
4 - Cardnumber shows now
5 - Verify the same works for 'Holds over' tab

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Nick Clemens 2019-01-28 16:08:52 UTC
Awesome work all!

Pushed to master for 19.05
Comment 10 Martin Renvoize 2019-02-01 15:09:51 UTC
Enhancement, will not be backported to 18.11.x series.